
Redmine - Defect #9582

redmine not letting me add issues.

2011-11-15 21:33 - Jake Booher

Status: Closed Start date: 2011-11-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Whenever i try to add an issue to my redmine install it adds nothing.

The following shows up in my production.log file:

Processing IssuesController#new (for 75.93.182.126 at 2011-11-15 12:30:08) [GET]

Parameters: {"project_id"=>"phprpg", "action"=>"new", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/new

Completed in 173ms (View: 144, DB: 11) | 200 OK [http://dev.phprpg.net/issues/new?project_id=phprpg]

Processing IssuesController#index (for 75.93.182.126 at 2011-11-15 12:30:30) [POST]

Parameters: {"project_id"=>"phprpg", "action"=>"index",

"authenticity_token"=>"fgPdUiBgE+2TIxwb4R5ywYHyB49uZIfc3pi54kWhdBY=", "issue"=>{"start_date"=>"2011-11-15",

"estimated_hours"=>"", "parent_issue_id"=>"", "priority_id"=>"4", "is_private"=>"0", "fixed_version_id"=>"", "done_ratio"=>"0",

"assigned_to_id"=>"", "subject"=>"Test", "category_id"=>"", "tracker_id"=>"1", "due_date"=>"", "status_id"=>"1", "description"=>"This

is a test issue..."}, "controller"=>"issues", "attachments"=>{"1"=>{"description"=>""}}, "continue"=>"Create and continue"}

Rendering template within layouts/base

Rendering issues/index.rhtml

Completed in 74ms (View: 44, DB: 7) | 200 OK [http://dev.phprpg.net/issues?project_id=phprpg]

My Ruby/ RaR Information:

Ruby version 1.8.7 (x86_64-linux)

RubyGems version 1.4.2

Rack version 1.1.1

Rails version 2.3.11

Active Record version 2.3.11

Active Resource version 2.3.11

Action Mailer version 2.3.11

Active Support version 2.3.11

Edge Rails revision unknown

Application root /home/phprpg/rails_apps/redmine

Environment production

Database adapter mysql

Database schema version 20110511000000

MySQL Version: 5.0.92

History

#1 - 2011-11-15 21:34 - Jake Booher

Also, forgot to mention, it redirects me to the "Issues" page after i try to create an issue (with no error message, or success message)

#2 - 2011-11-27 14:30 - Jean-Philippe Lang

- Priority changed from Urgent to Normal

- Resolution set to Cant reproduce

No idea, maybe setting the log level to debug (in config/environment.rb) could help.
#3 - 2011-11-27 15:06 - Jake Booher

- Status changed from New to Resolved

I fixed it. I had to change the versions of a couple gems and ruby.

It DID have something to do with #9561, even though i was told that it was just a warning and could be ignored.

#4 - 2011-11-27 16:43 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Thanks for the feedback.
